DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
FGCTExposure::FGCTExposureItem Class Reference

Class representing the "CT Exposure" Functional Group Macro item. More...

## Public Member Functions
| FGCTExposureItem ()
| Constructor, creates empty functional group item.
| FGCTExposureItem (const FGCTExposureItem &rhs)
| Copy Constructor, creates deep copy. More...
virtual | ~FGCTExposureItem ()
| Virtual destructor.
virtual FGCTExposureItem * | clone () const
| Returns a deep copy of this object. More...
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete. More...
virtual OFCondition | read (DcmItem &item)
| Read CT Exposure Sequence item from given item. More...
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into given item. More...
virtual int | compare (const FGCTExposureItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
virtual OFCondition | getReferencedPathIndex (OFString &value, const signed long pos=0)
| Get Referenced Path Index. More...
virtual OFCondition | getExposureTimeInMs (OFString &value, const signed long pos=0)
| Get Exposure Time in ms. More...
virtual OFCondition | getExposureTimeInMs (Float64 &value, const unsigned long pos=0)
| Get Exposure Time in ms. More...
virtual OFCondition | getXRayTubeCurrentInMa (OFString &value, const signed long pos=0)
| Get X-Ray Tube Current in mA. More...
virtual OFCondition | getXRayTubeCurrentInMa (Float64 &value, const unsigned long pos=0)
| Get X-Ray Tube Current in mA. More...
virtual OFCondition | getExposureInMas (OFString &value, const signed long pos=0)
| Get Exposure in mAs. More...
virtual OFCondition | getExposureInMas (Float64 &value, const unsigned long pos=0)
| Get Exposure in mAs. More...
virtual OFCondition | getExposureModulationType (OFString &value, const signed long pos=0)
| Get Exposure Modulation Type. More...
virtual OFCondition | getEstimatedDoseSaving (OFString &value, const signed long pos=0)
| Get Estimated Dose Saving (retired) More...
virtual OFCondition | getEstimatedDoseSaving (Float64 &value, const unsigned long pos=0)
| Get Estimated Dose Saving (retired) More...
virtual OFCondition | getCTDIVol (OFString &value, const signed long pos=0)
| Get CTDIvol. More...
virtual OFCondition | getCTDIVol (Float64 &value, const unsigned long pos=0)
| Get CTDIvol. More...
virtual OFCondition | getWaterEquivalentDiameter (OFString &value, const signed long pos=0)
| Get Water Equivalent Diameter. More...
virtual OFCondition | getWaterEquivalentDiameter (Float64 &value, const unsigned long pos=0)
| Get Water Equivalent Diameter. More...
virtual OFCondition | getImageAndFluoroscopyAreaDoseProduct (OFString &value, const signed long pos=0)
| Get Image And Fluoroscopy Area Dose Product. More...
virtual OFCondition | getImageAndFluoroscopyAreaDoseProduct (Float64 &value, const unsigned long pos=0)
| Get Image And Fluoroscopy Area Dose Product. More...
virtual OFCondition | setReferencedPathIndex (const OFVector< Uint16 > &values, const OFBool checkValues=OFTrue)
| Set Referenced Path Index. More...
virtual OFCondition | setExposureTimeInMs (const Float64 value, const OFBool checkValue=OFTrue)
| Set Exposure Time in ms. More...
virtual OFCondition | setXRayTubeCurrentInMa (const Float64 value, const OFBool checkValue=OFTrue)
| Set X-Ray Tube Current In Ma. More...
virtual OFCondition | setExposureInMas (const Float64 value, const OFBool checkValue=OFTrue)
| Set Exposure in mAs. More...
virtual OFCondition | setExposureModulationType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Exposure Modulation Type. More...
virtual OFCondition | setEstimatedDoseSaving (const Float64 value, const OFBool checkValue=OFTrue)
| Set Estimated Dose Saving (retired) More...
virtual OFCondition | setCTDIVol (const Float64 value, const OFBool checkValue=OFTrue)
| Set CTDIVol. More...
virtual OFCondition | setWaterEquivalentDiameter (const Float64 value, const OFBool checkValue=OFTrue)
| Set Water Equivalent Diameter. More...
virtual OFCondition | setImageAndFluoroscopyAreaDoseProduct (const Float64 value, const OFBool checkValue=OFTrue)
| Set Image and Fluoroscopy Area Dose Product. More...

## Private Attributes
DcmUnsignedShort | m_ReferencedPathIndex
| Referenced Path Index (US, VM 1-n, Required type 1C)
DcmFloatingPointDouble | m_ExposureTimeInMs
| Exposure Time in ms (FD, 1, 1C)
DcmFloatingPointDouble | m_XRayTubeCurrentInMa
| X-Ray Tube Current in mA (FD, 1, 1C)
DcmFloatingPointDouble | m_ExposureInMas
| Exposure in mAs (FD, 1, 1C)
DcmCodeString | m_ExposureModulationType
| Exposure Modulation Type (CS, 1-n, 1C)
DcmFloatingPointDouble | m_EstimatedDoseSaving
| Estimated Dose Saving (FD, 1, 2C), retired.
DcmFloatingPointDouble | m_CTDIVol
| CTDIvol (FD, 1, 2C)
OFVector< CodeSequenceMacro * > | m_CTDIPhantomTypeCodeSequence
| CTDI Phantom Type Code Sequence (SQ, 1, 3)
DcmFloatingPointDouble | m_WaterEquivalentDiameter
| Water Equivalent Diameter (FD, 1, 3)
OFVector< CodeSequenceMacro * > | m_WaterEquivalentDiameterCalculationMethodCodeSequence
| Water Equivalent Diameter Calculation Method Code Sequence (SQ, 1, 1C)
DcmDecimalString | m_ImageAndFluoroscopyAreaDoseProduct
| Image and Fluoroscopy Area Dose Product (DS, 1, 3)

## Detailed Description

Class representing the "CT Exposure" Functional Group Macro item.

## Constructor & Destructor Documentation

## ◆ FGCTExposureItem()

FGCTExposure::FGCTExposureItem::FGCTExposureItem | ( | const FGCTExposureItem & | rhs | ) |

Copy Constructor, creates deep copy.

Parameters

  rhs | The object to copy from

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTExposure::FGCTExposureItem::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

## ◆ clone()

virtual FGCTExposureItem* FGCTExposure::FGCTExposureItem::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

## ◆ compare()

virtual int FGCTExposure::FGCTExposureItem::compare | ( | const FGCTExposureItem & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

## ◆ getCTDIVol() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getCTDIVol | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get CTDIvol.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getCTDIVol() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getCTDIVol | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get CTDIvol.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getEstimatedDoseSaving() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getEstimatedDoseSaving | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Estimated Dose Saving (retired)

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getEstimatedDoseSaving() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getEstimatedDoseSaving | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Estimated Dose Saving (retired)

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getExposureInMas() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getExposureInMas | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Exposure in mAs.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getExposureInMas() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getExposureInMas | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Exposure in mAs.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getExposureModulationType()

virtual OFCondition FGCTExposure::FGCTExposureItem::getExposureModulationType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Exposure Modulation Type.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getExposureTimeInMs() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getExposureTimeInMs | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Exposure Time in ms.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getExposureTimeInMs() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getExposureTimeInMs | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Exposure Time in ms.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getImageAndFluoroscopyAreaDoseProduct() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getImageAndFluoroscopyAreaDoseProduct | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Image And Fluoroscopy Area Dose Product.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getImageAndFluoroscopyAreaDoseProduct() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getImageAndFluoroscopyAreaDoseProduct | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Image And Fluoroscopy Area Dose Product.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex()

virtual OFCondition FGCTExposure::FGCTExposureItem::getReferencedPathIndex | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Referenced Path Index.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getWaterEquivalentDiameter() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getWaterEquivalentDiameter | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Water Equivalent Diameter.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getWaterEquivalentDiameter() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getWaterEquivalentDiameter | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Water Equivalent Diameter.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getXRayTubeCurrentInMa() [1/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getXRayTubeCurrentInMa | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get X-Ray Tube Current in mA.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getXRayTubeCurrentInMa() [2/2]

virtual OFCondition FGCTExposure::FGCTExposureItem::getXRayTubeCurrentInMa | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get X-Ray Tube Current in mA.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTExposure::FGCTExposureItem::read | ( | DcmItem & | item | ) |
| virtual

Read CT Exposure Sequence item from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setCTDIVol()

virtual OFCondition FGCTExposure::FGCTExposureItem::setCTDIVol | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set CTDIVol.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setEstimatedDoseSaving()

virtual OFCondition FGCTExposure::FGCTExposureItem::setEstimatedDoseSaving | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Estimated Dose Saving (retired)

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setExposureInMas()

virtual OFCondition FGCTExposure::FGCTExposureItem::setExposureInMas | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Exposure in mAs.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setExposureModulationType()

virtual OFCondition FGCTExposure::FGCTExposureItem::setExposureModulationType | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Exposure Modulation Type.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setExposureTimeInMs()

virtual OFCondition FGCTExposure::FGCTExposureItem::setExposureTimeInMs | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Exposure Time in ms.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setImageAndFluoroscopyAreaDoseProduct()

virtual OFCondition FGCTExposure::FGCTExposureItem::setImageAndFluoroscopyAreaDoseProduct | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Image and Fluoroscopy Area Dose Product.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReferencedPathIndex()

virtual OFCondition FGCTExposure::FGCTExposureItem::setReferencedPathIndex | ( | const OFVector< Uint16 > & | values,
|  | const OFBool | checkValues = `OFTrue`
| ) |  |
| virtual

Set Referenced Path Index.

Parameters

  values | Values that should be set
  checkValues | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setWaterEquivalentDiameter()

virtual OFCondition FGCTExposure::FGCTExposureItem::setWaterEquivalentDiameter | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Water Equivalent Diameter.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setXRayTubeCurrentInMa()

virtual OFCondition FGCTExposure::FGCTExposureItem::setXRayTubeCurrentInMa | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set X-Ray Tube Current In Ma.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTExposure::FGCTExposureItem::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctexposure.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1